import 'dart:io';

import 'package:flutter/material.dart';
import 'package:localization/localization.dart';
import '../../global.dart' as global;

class AccountSettings extends StatelessWidget {
  const AccountSettings({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: const [LogoutButton()],
    );
  }
}

class LogoutButton extends StatelessWidget {
  const LogoutButton({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    String url;
    if (global.settings!.instanceUrl.isEmpty) {
      url = "no-instance".i18n();
    } else {
      url = global.settings!.instanceUrl;
    }
    return Row(
      children: [
        Text(url),
        TextButton.icon(
            onPressed: () {
              logout();
            },
            icon: const Icon(Icons.logout),
            label: Text("logout".i18n()))
      ],
    );
  }
}

void logout() async {
  await global.settings!.saveAuthCode("");
  exit(0);
}
