// ignore_for_file: unused_import

import 'package:localization/localization.dart';
import '../../business_logic/settings.dart' as settings;
import '../../global.dart' as global;
import 'package:flutter/material.dart';

class AppSettings extends StatelessWidget {
  const AppSettings({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        PostBatchSlider(
          initialSize: global.settings!.batchSize,
        )
      ],
    );
  }
}

class PostBatchSlider extends StatefulWidget {
  const PostBatchSlider({required this.initialSize, Key? key})
      : super(key: key);
  final int initialSize;
  @override
  State<PostBatchSlider> createState() => _PostBatchSliderState();
}

class _PostBatchSliderState extends State<PostBatchSlider> {
  late int size;

  @override
  void initState() {
    size = widget.initialSize;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Row(
          children: [
            Text("post-batch-size".i18n()),
            Slider(
              label: size.toString(),
              value: size.toDouble(),
              divisions: 19,
              min: 5,
              max: 100,
              onChanged: ((value) {
                global.settings!.saveBatchSize(value.toInt());
                setState(() {
                  size = value.toInt();
                });
              }),
            )
          ],
        ),
        SelectableText("post-batch-size-description".i18n()),
      ],
    );
  }
}
